package com.fr.plugin;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

@Visualization(category = "xxx单点配置")
public class XTLConfig extends DefaultConfiguration {

    private static volatile XTLConfig config = null;

    public static XTLConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(XTLConfig.class);
        }
        return config;
    }

    @Identifier(value = "valAddr", name = "统一用户地址", description = "接口地址", status = Status.SHOW)
    private Conf<String> valAddr = Holders.simple("http://manage.suntien.com:7926/SSO");

    @Identifier(value = "appid", name = "应用被推颁发的ClientId", description = "应用被推颁发的AppID", status = Status.SHOW)
    private Conf<String> appid = Holders.simple("xxx");
    @Identifier(value = "loginClientSecret", name = "Client_secret", description = "Secret", status = Status.SHOW)
    private Conf<String> loginClientSecret = Holders.simple("xxx");
    @Identifier(value = "frUrl", name = "当前fr系统地址", description = "", status = Status.SHOW)
    private Conf<String> frUrl = Holders.simple("http://xxx/webroot/decision");
    @Identifier(value = "loginAppid", name = "业务系统唯一标识码", description = "应用被推颁发的AppID", status = Status.SHOW)
    private Conf<String> loginAppid = Holders.simple("xxx");

    public String getFrUrl() {
        return frUrl.get();
    }

    public void setFrUrl(String frUrl) {
        this.frUrl.set(frUrl);
    }

    public String getLoginClientSecret() {
        return loginClientSecret.get();
    }

    public void setLoginClientSecret(String loginClientSecret) {
        this.loginClientSecret.set(loginClientSecret);
    }

    public String getAppid() {
        return appid.get();
    }

    public void setAppid(String appid) {
        this.appid.set(appid);
    }

    public String getValAddr() {
        return valAddr.get();
    }

    public void setValAddr(String valAddr) {
        this.valAddr.set(valAddr);
    }

    public  String  getLoginAppid() {
        return loginAppid.get();
    }

    public void setLoginAppid(String loginAppid) {
        this.loginAppid .set(loginAppid); ;
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        XTLConfig cloned = (XTLConfig) super.clone();
        cloned.valAddr = (Conf<String>) valAddr.clone();
        cloned.loginAppid = (Conf<String>) loginAppid.clone();
        cloned.appid = (Conf<String>) appid.clone();
        cloned.loginClientSecret = (Conf<String>) loginClientSecret.clone();
        cloned.frUrl = (Conf<String>) frUrl.clone();
        return cloned;
    }

}