package com.fr.plugin;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;

/**
 * 将长连接转换为短连接
 * 参考文档：
 * https://wiki.fanruan.com/display/PD/com.fr.decision.fun.URLAliasProvider
 */
@FunctionRecorder
public class XTLURLAliasBridge extends AbstractURLAliasProvider
{

    @Override
    @ExecuteFunctionRecord
    public URLAlias[] registerAlias() {
        //像这样配置之后再访问/api就可以通过http(s)://ip:port/webroot/decision/url/api。 进行访问
        return new URLAlias[]{
                URLAliasFactory.createPluginAlias("/oauth2/login", "/login", true),
        };
    }
}
